- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - TransactionAlias
  - ContentType (VALUE => 'text/plain', ENTRYAGGREGATOR => 'OR', OPERATOR => '=' )
  - ChildrenOf ID
  - LimitNotEmpty
  - LimitByTicket $ticket_id

# NAME

      RT::Attachments - a collection of RT::Attachment objects

# SYNOPSIS

      use RT::Attachments;

# DESCRIPTION

This module should never be called directly by client code. it's an internal module which should only be accessed through exported APIs in Ticket, Queue and other similar objects.

# METHODS

## TransactionAlias

Returns alias for transactions table with applied join condition. Always return the same alias, so if you want to build some complex or recursive joining then you have to create new alias youself.

## ContentType (VALUE => 'text/plain', ENTRYAGGREGATOR => 'OR', OPERATOR => '=' )

Limit result set to attachments of ContentType 'TYPE'...

## ChildrenOf ID

Limit result set to children of Attachment ID

## LimitNotEmpty

Limit result set to attachments with not empty content.

## LimitByTicket $ticket_id

Limit result set to attachments of a ticket.

← Back to index